
.modal{
    height: 100vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.4);
   
    position: fixed;
        left: 0px;
        top: 0px;
    display: flex;
    align-items: center;
    justify-self: center;
    opacity: 0;
    transition: 0.5s;
    pointer-events: none;


}
.modal.active{
  opacity: 1;
    pointer-events: all;

}

.modal__content {

    border-radius: 12px;
padding: 20px;
background:white;
width: 500px;
height: 300px;
transform: scale(0.5);
transition: 0.4s all;
} 
.modal__content.active{
transform: scale(1);

}